petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESLineSearchPostCheck

Prepares the line search for being applied.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchPostCheck(SNESLineSearch linesearch,Vec X,Vec Y,Vec W,PetscBool *changed_Y,PetscBool *changed_W)

Logically Collective on SNESLineSearch

### Input Parameters

| linesearch | - The linesearch context
| X | - The last solution
| Y | - The step direction
| W | - The updated solution, W = X + lambda*Y for some lambda

### Output Parameters

| changed_Y | - Indicator if the direction Y has been changed.
| changed_W | - Indicator if the new candidate solution W has been changed.

### Keywords

SNESLineSearch, Create

### See Also

SNESGetLineSearch(), SNESLineSearchPreCheck(), SNESLineSearchSetPostCheck(), SNESLineSearchGetPostCheck(), SNESLineSearchSetPrecheck(), SNESLineSearchGetPrecheck()

### Level

developer

### Location

src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages